<!-- <p>Hello.. you have entered Add Class component...Please add the class and subjects you need</p> -->
<style>
    table,
    td
  {
        border: 1px solid white;
        text-align: center;
  
    }
  
    table {
        width: 30%;
    }
  
    th,
    td {
        padding: 5px;
    }
  </style>
      <h3>Assign Classes for Subject</h3>
      <div>
      <table id = "list" align="center" >
        <tr>
          <th style="  background-color:rgb(84, 155, 231); color: rgb(9, 10, 10);">Class Name</th>
          <th style="  background-color:rgb(84, 155, 231); color: rgb(6, 7, 7);">Subject Name</th>
        </tr>
        <tr *ngFor="let tr of creportList">
          <td style="color:whitesmoke">{{tr.class_Std}}</td> 
          <td style="color:whitesmoke">{{tr.class_name}}</td>
      </tr>
      </table>

    <!-- <h3 style="color: rgb(22, 22, 20); background-color: black;">Add Class</h3> -->
    <br>
    <label>Select Class      :      </label>   
    <select [(ngModel)]="selectClass">
      <option *ngFor="let cl of classList" value= {{cl.cId}}>
        {{cl.class_Std}}
      </option>
    </select>
    <br>
    <br>
    <label>Select Subject : </label>   
    <select [(ngModel)]="selectSubject">
      <option *ngFor="let sl of subjectList" value= {{sl.sub_id}}>
        {{sl.sub_Name}}
      </option>
    </select>
    <br>
    <br>
    <button (click)="save()">Save</button>
    <!-- <table id = "list" align="center" >
        <tr>
          <th style="  background-color:rgb(84, 155, 231); color: rgb(9, 10, 10);">Class Name</th>
          <th style="  background-color:rgb(84, 155, 231); color: rgb(6, 7, 7);">Subject Name</th>
        </tr>
        <tr *ngFor="let tr of creportList">
          <td style="color:whitesmoke">{{tr.class_Std}}</td> 
          <td style="color:whitesmoke">{{tr.class_name}}</td>
      </tr>
      </table> -->

</div>
<router-outlet></router-outlet>